viewer.mode=FULLSCREEN
    
function setup()
    cnt=0
    fill(255)
    assert(OrbitViewer, "Please include Cameras (not Camera) as a dependency")        
    scene = craft.scene()
    craft.shader.add(Explosion)
    skyMaterial=scene.sky.material
    skyMaterial.sky=color(158, 202, 223, 255)
    skyMaterial.horizon=color(98, 166, 114, 255)
    v=scene.camera:add(OrbitViewer, vec3(0,0,0), 450, 0, 1000)
end

local explosionTime = 0
local explosionActive = false
someMaxValue = 200

function draw()
    
    scene:update(DeltaTime)
    scene:draw()
    if explode then
        cnt=80
        explode=false
        createSphere(vec3(0,0,0))
    end
    if explosionActive then
        explosionTime = explosionTime + DeltaTime
        -- Update the shader's _number property to control the explosion's progression
        if pt.material then
            pt.material._number = explosionTime
            if explosionTime > someMaxValue then
                explosionActive = false -- Stop the explosion after it reaches a certain point
            end
        end
    end
    if cnt>0 then
        cnt=cnt-1
        if cnt<1 then
            pt:destroy()
        end
    end
    text("tap screen for explosion",WIDTH/2,HEIGHT-100)
end

function touched(t)
    if t.state == BEGAN then
        explode = true
        explosionActive = true
        explosionTime = 0 -- Reset the timer
    end
end

function createSphere(p)
    if pt then
        pt:destroy()
    end
    pt=scene:entity()
    pt.position=vec3(p.x,p.y,p.z)
    pt.model=craft.model.icosphere(1,2)
    pt.material=craft.material("Explosion")
    pt.material._colorMap = readImage(asset.Color_Map)
    pt.material._clipGradient = readImage(asset.Clip_Gradient)
    pt.scale = vec3(6,6,6)
end









