-- not used, just for reference
blendImages = {
    name = "blendImages",
    
    options =
    {
        USE_COLOR = { true },
    },
    
    properties =
    {
        texture1 = {"texture2D", nil},
        texture2 = {"texture2D", nil},
        mixAmount = {"float", 0.5}
    },
    
    pass =
    {
        base = "Surface",        
        blendMode = "disabled",
        depthWrite = true,
        depthFunc = "lessEqual",
        renderQueue = "solid",
        colorMask = {"rgba"},
        cullFace = "back",       
        vertex =
        [[ void vertex(inout Vertex v, out Input o)
        {}]],
surface =
[[
uniform sampler2D texture1;
uniform sampler2D texture2;
lowp vec4 col1;
lowp vec4 col2;
lowp vec4 colMix;
uniform float mixAmount;        
void surface(in Input IN, inout SurfaceOutput o) 
{           
    //Sample the texture at the interpolated coordinate
    col1 = texture(texture1, IN.uv).rgba;
    col2 = texture(texture2, IN.uv).rgba;
    
    //Set the output color to the texture color
    colMix = mix(col1, col2, mixAmount);
    o.diffuse = vec3(colMix.r, colMix.g, colMix.b);
    o.emissive = 1.0;                                
    o.emission = vec3(0.0, 0.0, 0.0);
}
]]
}
}